Subject: RE: cron - Error starting a service: QueryServiceStatus: Win32 error 1062:
From: "Harig, Mark A." <[email-masked]>
To: "House, Mark" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 14 Feb 2003 15:40:06 -0500

Yes, that's unusual.  I think I'll leave out a check for this problem at
this time.  I wonder if anyone knows of a general purpose tool for
checking the validity or sanity of the /etc/group and /etc/passwd files?

Have you tried adding 'SYSTEM' to group 544 via the /etc/group file?

> -----Original Message-----
> From: House, Mark [mailto:[email-masked]]
> Sent: Thursday, February 13, 2003 11:25 AM
> To: Harig, Mark A.; [email-masked]
> Subject: RE: cron - Error starting a service: 
> QueryServiceStatus: Win32
> error 1062:
> 
> 
> Mark,
> 
>  Thanks for responding to this.
> 
>  I found the problem. Apparently, I had tried to add the 
> SYSTEM account to a second group. So, that in my /etc/passwd 
> file it looked like  SYSTEM:*:18:18,544:,S-1-5-18::/bin/bash
> 
>  This caused the problem. I went and removed that ,544 and my 
> cron service has started up.
> 
>   Perhaps adding a check on the proper SYSTEM account in 
> /etc/passwd to cron_diagnose.sh may be appropriate. Although, 
> I'm not too sure that anyone else will do anything quite this strange.
> 
> Thanks,
>   Mark
> 
> -----Original Message-----
> From: Harig, Mark A. [mailto:[email-masked]]
> Sent: Tuesday, February 11, 2003 6:48 PM
> To: House, Mark; [email-masked]
> Subject: RE: cron - Error starting a service: 
> QueryServiceStatus: Win32
> error 1062:
> 
> 
> I can't see any glaring errors.  Here a some things you might try:
>  
> 1. You're running Windows 2000, SP2.  Is there any reason you haven't
> installed SP3?
>     I doubt that this has any effect, but it might be worth trying.
>  
> 2. You have Windows 2000 installed on your 'c:' drive, but Cygwin is
> installed
>     on your 'd:' drive.  You might try installing a minimal Cygwin on
> your 'c:'
>     drive, and retrying cron.  Have you been running Cygwin 
> on 'd:' all
> along?
>  
> If you find a fix that you think could be detected by the
> cron_diagnose.sh
> script, please let me know so that it can improve.
> 
> -----Original Message-----
> From: House, Mark [mailto:[email-masked]]
> Sent: Monday, February 10, 2003 10:45 AM
> To: [email-masked]
> Subject: cron - Error starting a service: QueryServiceStatus: Win32
> error 1062:
> 
> 
> 
> Hi, 
> 
>   I have been experiencing this error ever since I rebooted 
> my server. I
> am now unable to start the cron service. I have attached my cygcheck
> file and I have run cron_diagnose.sh as suggested by Mark A. Harig on
> his posting on 20-Dec-2002.
> 
>  In addition, I have uninstalled and reinstalled the cron 
> service and I
> have reinstalled the cron and cygrunsrv components.
> 
>  I am using Win2000 Server. My Event Log displays the 
> following error. 
>       The following information is part of the event: cron : Win32
> Process Id = 0x9A0 : Cygwin Process Id = 0x9A0 : starting 
> service `cron'
> failed: execv: 1, Operation not permitted.
> 
> I would appreciate any suggestions that you can offer. 
> 
> Thanks, 
>   Mark 
> 
> <<cygcheck.txt>> 
> 
> 
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/